<?PHP
$tfstats = time() - 60*60*24;
$db->Query("SELECT 
(SELECT COUNT(*) FROM db_users_a) all_users,
(SELECT SUM(insert_sum) FROM db_users_b) all_insert, 
(SELECT SUM(payment_sum) FROM db_users_b) all_payment, 
(SELECT COUNT(*) FROM db_users_a WHERE date_reg > '$tfstats') new_users");
$stats_data = $db->FetchArray();

?>
<?php
session_start();
//выделяем уникальный идентификатор сессии
$id = session_id();

if ($id!="")
{
 //текущее время
 $CurrentTime = time();
 //через какое время сессии удаляются
 $LastTime = time() - 600;
 //файл, в котором храним идентификаторы и время
 $base = "session.txt";

 $file = file($base);
 $k = 0;
 for ($i = 0; $i < sizeof($file); $i++) {
  $line = explode("|", $file[$i]);
   if ($line[1] > $LastTime) {
   $ResFile[$k] = $file[$i];
   $k++;
  }
 }

 for ($i = 0; $i<sizeof($ResFile); $i++) {
  $line = explode("|", $ResFile[$i]);
  if ($line[0]==$id) {
      $line[1] = trim($CurrentTime)."\n";
      $is_sid_in_file = 1;
  }
  $line = implode("|", $line); $ResFile[$i] = $line;
 }

 $fp = fopen($base, "w");
 for ($i = 0; $i<sizeof($ResFile); $i++) { fputs($fp, $ResFile[$i]); }
 fclose($fp);

 if (!$is_sid_in_file) {
  $fp = fopen($base, "a-");
  $line = $id."|".$CurrentTime."\n";
  fputs($fp, $line);
  fclose($fp);
 }
}
?>
	
<div class="stat">
	<div class="h-title">Статистика сайта</div>
	<div class="st-lf">
	<div class="naz2i">Всего участников: </div>
	<div class="naz2i">На ферме сейчас: </div>
	<div class="naz2i">Новых за 24 часа: </div>
	<div class="naz2i">Выплачено всего: </div>
	<div class="naz2i">Резерв проекта: </div>
	
	</div>
	<div class="st-rg">
	<div class="naz2i"><?=$stats_data["all_users"]; ?> чел.</div>
	<div class="naz2i"><? echo " <b>".sizeof(file($base))."</b>";?> чел.</div>
	<div class="naz2i"><?=$stats_data["new_users"]; ?> чел.</div>
	<div class="naz2i"><a href="/payments" style="text-decoration:none; color: blue;"><?=sprintf("%.2f",$stats_data["all_payment"]); ?></a> <?=$config->VAL; ?></div>
	<div class="naz2i"><?=sprintf("%.2f",$stats_data["all_insert"]); ?> <?=$config->VAL; ?></div>
	
	</div>
	<div class="clr"></div>
	<br>
	<div class="naz2i"><img style="vertical-align:-5px; margin-right:5px;" src="/img/clock.png" />Проекту пошел: <font color="#f77827"><?=intval(((time() - $config->SYSTEM_START_TIME) / 86400 ) +1); ?> - й</font> день</div>
</div>



	<div class="stat">
	<div class="h-title">Статистика  по животным</div>
	
	<?PHP

$db->Query("SELECT 
	COUNT(id) all_users, 
	SUM(money_b) money_b, 
	SUM(money_p) money_p, 
	
	SUM(a_t) a_t, 
	SUM(b_t) b_t, 
	SUM(c_t) c_t, 
	SUM(d_t) d_t, 
	SUM(e_t) e_t, 
	
	
	
	
	
	SUM(payment_sum) payment_sum, 
	SUM(insert_sum) insert_sum
	
	
	FROM db_users_b");
$data_stats = $db->FetchArray();

?>
	
	<div class="st-lf">
	<div class="naz2i">Куры: </div>
	<div class="naz2i">Свиньи: </div>
	<div class="naz2i">Козы: </div>
	<div class="naz2i">Овцы: </div>
	<div class="naz2i">Коровы: </div>
	</div>
	<div class="st-rg">
	<div class="naz2i"><?=$data_stats["a_t"]; ?> шт.</div>
	<div class="naz2i"><?=$data_stats["b_t"]; ?> шт.</div>
	<div class="naz2i"><?=$data_stats["c_t"]; ?> шт.</div>
	<div class="naz2i"><?=$data_stats["d_t"]; ?> шт.</div>
	<div class="naz2i"><?=$data_stats["e_t"]; ?> шт.</div>
	</div>
	<div class="clr"></div>
	
</div>

<div class="stat">
	<div class="h-title">Платежные системы</div>
	<div class="cntrl-ps">
	<s style="background-position:0px 0px;"></s>
	<s style="background-position:-56px 0px;"></s>
	<s style="background-position:-112px 0px;"></s>
	<s style="background-position:-168px 0px;"></s>
	<s style="background-position:-224px 0px;"></s>
	<s style="background-position:-280px 0px;"></s>
	<s style="background-position:-336px 0px;"></s>
	<s style="background-position:-392px 0px;"></s>
	<s style="background-position:-448px 0px;"></s>
	<div class="clr"></div>
	</div>

</div>
	
	
	</div>

